summaryrefslogtreecommitdiffstats
path: root/system/lxdm/lxdm.SlackBuild
diff options
context:
space:
mode:
author ponce2012-07-28 20:55:04 +0200
committer Robby Workman2012-08-21 15:55:35 +0200
commitdb0ad6a42e667456691e9e6920b669a2074a4f8a (patch)
tree2bd911728b1fad320d74056d9f5d2e8670cfb9f6 /system/lxdm/lxdm.SlackBuild
parent3162e9c62e8639672e2133d1ba2567e063540b09 (diff)
downloadslackbuilds-db0ad6a42e667456691e9e6920b669a2074a4f8a.tar.gz
system/lxdm: updated for version 20120728_102ea5e.
Also set image in default config; fix a wrong path in lxdm.conf.in Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system/lxdm/lxdm.SlackBuild')
-rw-r--r--system/lxdm/lxdm.SlackBuild17
1 files changed, 14 insertions, 3 deletions
diff --git a/system/lxdm/lxdm.SlackBuild b/system/lxdm/lxdm.SlackBuild
index e657a9e43a..a3209ffd06 100644
--- a/system/lxdm/lxdm.SlackBuild
+++ b/system/lxdm/lxdm.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=lxdm
-VERSION=${VERSION:-0.3.0}
+VERSION=${VERSION:-20120728_102ea5e}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -60,7 +60,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -69,6 +69,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# patch lxdm.conf.in to avoid a wrong libexec path - must go deep on
+# why the build system gets it wrong
+sed -i "s/@FULL_LIBEXECDIR@/\/usr\/libexec/" data/lxdm.conf.in
+
# Patch the Xsession file to source /etc/profile and xprofile on session start
patch -p1 < $CWD/patches/source_profile_in_Xsession.diff
@@ -89,7 +93,9 @@ patch -p1 < $CWD/patches/lxdm-0.3.0-without_pam.diff
# both KDM and GDM set DESKTOP_SESSION regardless of whether PAM is used,
# this seems the path of least resistance. This patch *should* be easy
# to maintain ; let's hope I don't eat those words. --rworkman
-patch -p1 < $CWD/patches/lxdm-0.3.0-set_DESKTOP_SESSION_in_env.diff
+patch -p1 < $CWD/patches/lxdm-set_DESKTOP_SESSION_in_env.diff
+
+sh autogen.sh || true
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -109,6 +115,11 @@ make install DESTDIR=$PKG
# We said --without-pam
rm -rf $PKG/etc/pam.d
+# change default non-existent background image to an lxde one and theme accordingly :P
+sed -i -e "s|^bg=.*|bg=/usr/share/lxde/wallpapers/lxde_green.jpg|" \
+ $PKG/etc/lxdm/lxdm.conf
+sed -i -e "s|Clearlooks|Clearlooks-Olive|" $PKG/etc/lxdm/lxdm.conf
+
# Install a to-be-customized-if-needed /etc/lxdm/xinitrc
cat $CWD/xinitrc > $PKG/etc/lxdm/xinitrc.new